Skip to navigation

Renew a subscription

View as Markdown

Renews a termed subscription using existing renewal terms. When you renew a subscription, the current subscription term is extended by creating a new term. If any charge in your subscription has the billing period set as SubscriptionTerm, a new charge segment is generated for the new term.

Note: If you have the Invoice Settlement feature enabled, it is best practice to set the Zuora-Version parameter to 211.0 or later available versions. Otherwise, an error occurs.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

subscription-keystringRequired
Subscription number or ID

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Request

This endpoint expects an object.
applicationOrderlist of stringsOptional

The priority order to apply credit memos and/or unapplied payments to an invoice. Possible item values are: CreditMemo, UnappliedPayment.

Note:

  • This field is valid only if the applyCredit field is set to true.
  • If no value is specified for this field, the default priority order is used, [“CreditMemo”, “UnappliedPayment”], to apply credit memos first and then apply unapplied payments.
  • If only one item is specified, only the items of the spedified type are applied to invoices. For example, if the value is ["CreditMemo"], only credit memos are used to apply to invoices.
applyCreditbooleanOptional

If the value is true, the credit memo or unapplied payment on the order account will be automatically applied to the invoices generated by this order. The credit memo generated by this order will not be automatically applied to any invoices.

Note: This field is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.

applyCreditBalancebooleanOptional

Whether to automatically apply a credit balance to an invoice.

If the value is true, the credit balance is applied to the invoice. If the value is false, no action is taken.

To view the credit balance adjustment, retrieve the details of the invoice using the Get Invoices method.

Prerequisite: invoice must be true.

Note:

  • If you are using the field invoiceCollect rather than the field invoice, the invoiceCollect value must be true.
  • This field is deprecated if you have the Invoice Settlement feature enabled.
collectbooleanOptionalDefaults to false

Collects an automatic payment for a subscription. The collection generated in this operation is only for this subscription, not for the entire customer account.

If the value is true, the automatic payment is collected. If the value is false, no action is taken.

Prerequisite: The invoice or runBilling field must be true.

Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 196.0 or a later available version.

creditMemoReasonCodestringOptional
A code identifying the reason for the credit memo transaction that is generated by the request. The value must be an existing reason code. If you do not pass the field or pass the field with empty value, Zuora uses the default reason code.
documentDatedateOptional

The date of the billing document, in yyyy-mm-dd format. It represents the invoice date for invoices, credit memo date for credit memos, and debit memo date for debit memos.

  • If this field is specified, the specified date is used as the billing document date.
  • If this field is not specified, the date specified in the targetDate is used as the billing document date.
orderDatedateOptional

The date when the order is signed. If no additinal contractEffectiveDate is provided, this order will use this order date as the contract effective date. This field must be in the yyyy-mm-dd format. This field is required for Orders customers only, not applicable to Orders Harmonization customers.

runBillingbooleanOptionalDefaults to false

Creates an invoice for a subscription. If you have the Invoice Settlement feature enabled, a credit memo might also be created based on the invoice and credit memo generation rule.

The billing documents generated in this operation is only for this subscription, not for the entire customer account.

Possible values:

  • true: An invoice is created. If you have the Invoice Settlement feature enabled, a credit memo might also be created.

  • false: No invoice is created.

Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 211.0 or a later available version.

targetDatedateOptional

Date through which to calculate charges if an invoice or a credit memo is generated, as yyyy-mm-dd. Default is current date.

Note:

  • This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 211.0 or a later available version.

  • The credit memo is only available if you have the Invoice Settlement feature enabled.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
creditMemoIdstringOptional

The credit memo ID, if a credit memo is generated during the subscription process.

Note: This container is only available if you set the Zuora REST API minor version to 207.0 or later available versions in the request header, and you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.

invoiceIdstringOptional
Invoice ID, if one is generated.
paidAmountdoubleOptional
Payment amount, if payment is collected.
paymentIdstringOptional
Payment ID, if payment is collected.
successbooleanOptional

Returns true if the request was processed successfully.

termEndDatedateOptional

Date the new subscription term ends, as yyyy-mm-dd.

termStartDatedateOptional

Date the new subscription term begins, as yyyy-mm-dd.

totalDeltaMrrdoubleOptional
Change in the subscription monthly recurring revenue as a result of the update. For a renewal, this is the MRR of the subscription in the new term.
totalDeltaTcvdoubleOptional
Change in the total contracted value of the subscription as a result of the update. For a renewal, this is the TCV of the subscription in the new term.

Errors

4XX
Client Request Error
500
Internal Server Error